Class
Pair
Stores two arbitrary objects.

Pair

Bit Compressed Pair | Packed Pair

Pair<T1[, T2[, TSpec]]>
Parameters

T1 | The type of the first object.
T2 | The type of the second object. Default: T1
TSpec | The specializing type. Default: void, no compression (faster access).

Specializations

Bit Compressed Pair | Stores two arbitrary objects. Saves memory by packing bits with bit fields.
Packed Pair | Stores two arbitrary objects. Saves memory by disabling memory alignment.

Data Members

i1 | T1 object
i2 | T2 object

Member Functions

Pair | Constructor

Functions

getSeqNo | Returns the sequence number of a position.
getSeqOffset | Returns the local sequence offset of a position.
posGlobalize | Converts a local/global to a global position.
posLocalize | Converts a local/global to a local position.
posLocalToX | Converts a local to a local/global position.
posLocalToX | Converts a local to a local/global position.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45